osg::View::Slave Struct Reference

`#include <View>`

## Classes

struct | UpdateSlaveCallback

## Public Member Functions

| Slave (bool useMastersSceneData=true)
| Slave (osg::Camera *camera, const osg::Matrixd &projectionOffset, const osg::Matrixd &viewOffset, bool useMastersSceneData=true)
| Slave (const Slave &rhs)
virtual | ~Slave ()
Slave & | operator= (const Slave &rhs)
void | updateSlave (View &view)
virtual void | updateSlaveImplementation (View &view)

## Public Attributes

osg::ref_ptr< osg::Camera > | _camera
osg::Matrixd | _projectionOffset
osg::Matrixd | _viewOffset
bool | _useMastersSceneData
osg::ref_ptr< UpdateSlaveCallback > | _updateSlaveCallback

## Detailed Description

Slave allows one to up a camera that follows the master with a local offset to the project and view matrices.

## Constructor & Destructor Documentation

## Slave() [1/3]

osg::View::Slave::Slave | ( | bool | useMastersSceneData = true | ) |

inline

References _useMastersSceneData.

Referenced by operator=(), and Slave().

## Slave() [2/3]

osg::View::Slave::Slave | ( | osg::Camera * | camera,
|  | const osg::Matrixd & | projectionOffset,
|  | const osg::Matrixd & | viewOffset,
|  | bool | useMastersSceneData = true )

inline

References _camera, _projectionOffset, _useMastersSceneData, and _viewOffset.

## Slave() [3/3]

osg::View::Slave::Slave | ( | const Slave & | rhs | ) |

inline

References _camera, _projectionOffset, _updateSlaveCallback, _useMastersSceneData, _viewOffset, and Slave().

## ~Slave()

virtual osg::View::Slave::~Slave | ( |  | ) |

inline virtual

## Member Function Documentation

## operator=()

Slave & osg::View::Slave::operator= | ( | const Slave & | rhs | ) |

inline

References _camera, _projectionOffset, _updateSlaveCallback, _useMastersSceneData, _viewOffset, and Slave().

## updateSlave()

void osg::View::Slave::updateSlave | ( | View & | view | ) |

inline

References _updateSlaveCallback, updateSlaveImplementation(), and osg::View::View().

## updateSlaveImplementation()

virtual void osg::View::Slave::updateSlaveImplementation | ( | View & | view | ) |

virtual

References osg::View::View().

Referenced by updateSlave().

## Member Data Documentation

## _camera

osg::ref_ptr<osg::Camera> osg::View::Slave::_camera

Referenced by operator=(), Slave(), and Slave().

## _projectionOffset

osg::Matrixd osg::View::Slave::_projectionOffset

Referenced by operator=(), Slave(), and Slave().

## _updateSlaveCallback

osg::ref_ptr<UpdateSlaveCallback> osg::View::Slave::_updateSlaveCallback

Referenced by operator=(), Slave(), and updateSlave().

## _useMastersSceneData

bool osg::View::Slave::_useMastersSceneData

Referenced by operator=(), Slave(), Slave(), and Slave().

## _viewOffset

osg::Matrixd osg::View::Slave::_viewOffset

Referenced by operator=(), Slave(), and Slave().

The documentation for this struct was generated from the following file:

- osg/View